//#include "stdafx.h"
#include <iostream>
#include <fstream>
#include <vector>

using namespace std;

// Include other classes required
#include "LightCycle.h"
#include "Trail.h"
#include "GamePlay.h"
#include "Border.h"

// Grab access to the global list of pointers to objects
extern vector< LightCycle* > gCycles;
extern vector< Trail* > gTrails;
extern vector< Border* > gBorders;

// doWorldInit
void GamePlay::initWorld()
{	
	//read in txt file with directions for playing game
	ifstream f("readme.txt");

    if (f.is_open())
    {
        cout << f.rdbuf();
	}


	// Create tanks and set their beginning position
	// user 1
	gCycles.push_back( new LightCycle ( 5, 2.5, 0.04, 180, 0, 0.0, 0.0, 0.7, 0.5, 0.9, 0.9, 0.298039, 0.568627, 0.858823 ) );
	// user 2
	gCycles.push_back( new LightCycle ( 5, 7.5, 0.04, 0, 1, 1.0, 0.707843, 0.039215, 0.0, 0.0, 0.8, 1.0, 0.529411, 0.219607 ) );
	
	// left and right borders
	gBorders.push_back( new Border ( 0.3, 0.4, 9.9, 0.0 ) );
	gBorders.push_back( new Border ( 10.1, 10.2, 9.9, 0.0 ) );
	// top and bottom borders
	gBorders.push_back( new Border ( 0.3, 10.2, 0.0, 0.1 ) );
	gBorders.push_back( new Border ( 0.3, 10.2, 9.7, 9.9 ) );
}
