#pragma once

const float MINIMUM_MILLISECOND_UPDATE = (float) .0001;

#include "GamePlay.h"
#include "Trail.h"
#include <string>
#include <ctime>

using namespace std;

// Light Cycle CLASS - Constructor - initalize light cycle default values

class LightCycle
{
public:

	// declare data members
	
	float bodysize;
	float wheelsize;
	float tailsize;
	float size;
	float speed;
	float angle;
	
	float sizeW;
	float sizeL;

	string name;
	float position[3];
	float defaultPosition[3];
	float prevPosition[3];

	float moveVertical;
	float moveHorizon;

	float color[3];
	float shading[3];
	float lightcolor[3];
	float disableColor[3];
	
	int identify;
	
	int lives;
	
	char forwardKey;
	char backwardKey;
	char leftKey;
	char rightKey;
	char discKey;
	
	clock_t lastTimeFired;
	bool disabled;
	bool disableGame;
	float disabledTime;
	float shotDelay;

	float posOffsetX;
	float posOffsetY;

	double elapsedTime;

	// constructor to initialize values
	LightCycle( float x, float y, float z, float startangle, int cycleNum, float color1, float color2, float color3, float lightcolor1, float lightcolor2, float lightcolor3, float shading1, float shading2, float shading3 );

	// drawTank - draw the tank
	void drawCycle();

	// computePosition - figure out where tank is
	void computePosition( double elapsedTime );
	
	void computeIntersection();

	// keyDown - tell tank key is down
	void keyDown( char key );

	// keyUp - tell tank key is up
	void keyUp( char key );
	
	// fire disc
	void fireDisc();
	
	// do not fire disc
	void disableDisc();
	
	// check lives, if one has run out, end game
	void endGame();
	
};






